> For the complete documentation index, see [llms.txt](https://developers.shopbase.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.shopbase.com/build-a-theme/theme-development-resources/theme-object-methods-and-props.md).

# Theme object, methods, and props

#### Object

```
$shop
    $shop.name
        Returns the shop's name.
    $shop.email
		Returns the shop's email.
	$shop.enabled_currencies
		Returns the list of currency objects that the store accepts.
```

#### Methods

```
Routes
	$routeToPath(path)
	$routeToHome()
	$routeToCollections()
	$routeToCollection(collection)
	$routeToProductWithAttribute(name, type)
	$routeToProduct(product)
	$routeToProductWithCollection(collection, product)
	$routeToCart()
	$routeToMyAccount()
	$routeTopage()

Navigate
	$navigateToAccount()
	$navigateToCheckout()

Theme editor
	$getPageSettings(page)
	$getThemeSettings()
	$getForceSettings()
	$getFixedSettings(section)

Menu
	$getMenu(handle)

Device
	$getDevice()
	$isMobile()
	$isTablet()
	$isDesktop()

Storage
	$getStorage(key)
	$setStorage(key, value)

Other
	$resizeImage(url = '', height = '', width = '', crop = '', scale = '')
	$changeCurrency(code)
	$toggleOverlay(state)
```

#### Page component props

**Home**

| Prop                | Type  | Description |
| ------------------- | ----- | ----------- |
| featuredProducts    | Array |             |
| featuredCollections | Array |             |
| collectionList      | Array |             |

**Product**

| **Prop**               | Type     | Description |
| ---------------------- | -------- | ----------- |
| product                | Object   |             |
| variant                | Object   |             |
| description            | String   |             |
| availableOptions       | Array    |             |
| currentOption          | Object   |             |
| unavailableVariant     | Boolean  |             |
| unavailableOptionItems | Object   |             |
| pages                  | Array    |             |
| cartFormId             | String   |             |
| isPageFetching         | Boolean  |             |
| isDisabledAddCart      | Boolean  |             |
| isActiveOptionItem     | Function |             |
| isCartItemAdded        | Boolean  |             |
| uploadProcess          | Object   |             |
| uploadAccept           | String   |             |
| validateProperties     | Object   |             |
| onChangeOption         | Function |             |
| onChangeQuantity       | Function |             |
| onChangeCustomOption   | Function |             |
| onAddToCart            | Function |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.shopbase.com/build-a-theme/theme-development-resources/theme-object-methods-and-props.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
